import { Formats } from './compiler';
import { MessageFormatPattern } from 'intl-messageformat-parser';
export interface LocaleData {
    locale: string;
    parentLocale?: string;
    [k: string]: any;
}
export default class MessageFormat {
    static defaultLocale: string;
    static readonly formats: Formats;
    private _locale;
    private pattern;
    private message;
    constructor(message: string | MessageFormatPattern, locales?: string | string[], overrideFormats?: Partial<Formats>);
    static __parse: (msg: string) => MessageFormatPattern;
    format: (values?: Record<string, string | number | boolean | null | undefined> | undefined) => string;
    resolvedOptions(): {
        locale: string;
    };
}
